=== debian/changelog ===
fceux (2.1.2+repack-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #254352)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 14 Dec 2009 08:05:17 +0100
