=== debian/control ===
Source: fceux
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fabrice Coutadeur <fabricesp@ubuntu.com>
Build-Depends: debhelper (>= 7),
 scons,
 libsdl1.2-dev,
 liblua5.1-dev,
 zlib1g-dev,
 zenity,
 python-central
Standards-Version: 3.8.3
Homepage: http://fceux.com
XS-Python-Version: all 

Package: fceux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross platform, NTSC and PAL Famicom/NES emulator
 The concept behind FCEUX is to merge elements from FCE Ultra, FCEU 
 rerecording, FCEUXD, FCEUXDSP, and FCEU-mm into a single branch of FCEU. As
 the X implies, it is an all-encompassing FCEU emulator that gives the best of
 all worlds for the casual player, the ROM-hacking community, Lua Scripters,
 and the Tool-Assisted Speedrun Community

Package: gfceux
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: fceux, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: GUI for fceux, Cross platform, NTSC and PAL Famicom/NES emulator
 The concept behind FCEUX is to merge elements from FCE Ultra, FCEU 
 rerecording, FCEUXD, FCEUXDSP, and FCEU-mm into a single branch of FCEU. As
 the X implies, it is an all-encompassing FCEU emulator that gives the best of
 all worlds for the casual player, the ROM-hacking community, Lua Scripters,
 and the Tool-Assisted Speedrun Community
 .
 This package contains a GUI for FCEUX written in Python.
