=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

get-orig-source: 
	dh_testdir
	chmod 755 debian/uscan_repack.sh
	uscan --force-download --no-symlink --verbose

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: 

	cd $(CURDIR)/fceu && scons CREATE_AVI=1 prefix=/usr
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: 
	cd $(CURDIR)/gfceux && python setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp

	find . -name \*.o -exec rm -f {} \;
	rm -rf fceu/.sconf_temp build fceu/src/fceux fceu/bin/* \
	fceu/.sconsign.dblite fceu/config.log gfceux/build/*

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i

	cd $(CURDIR)/gfceux && python setup.py install --install-layout=deb --prefix=$(CURDIR)/debian/tmp/usr
	# Deleting extra COPYING file
	rm -r $(CURDIR)/debian/tmp/usr/share/gfceux/COPYING
	dh_install -i --sourcedir=debian/tmp
	dh_installchangelogs gfceux/ChangeLog

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s
	
	dh_install -s
	dh_installchangelogs fceu/changelog.txt

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_pycentral
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
