## fceux 2.1.4a+repack

=== SConstruct ===
--- 
+++ 
@@ -7,11 +7,13 @@
   BoolVariable('FRAMESKIP', 'Enable frameskipping', 1),
   BoolVariable('OPENGL',    'Enable OpenGL support', 1),
   BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
-  BoolVariable('DEBUG',     'Build with debugging symbols', 0),
+  BoolVariable('DEBUG',     'Build with debugging symbols', 1),
   BoolVariable('LUA',       'Enable Lua support', 1),
-  BoolVariable('NEWPPU',    'Enable new PPU core', 0),
+  BoolVariable('NEWPPU',    'Enable new PPU core', 1),
   BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 0),
-  BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', '1')
+  BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', '1'),
+  BoolVariable('GTK', 'Enable GTK2 GUI (SDL only)', 1),
+  BoolVariable('GTK_LITE', 'Enable GTK2 for dialogs only', 0)
 )
 
 env = Environment(options = opts)
@@ -54,34 +56,26 @@
   if not conf.CheckLib('SDL'):
     print 'Did not find libSDL or SDL.lib, exiting!'
     Exit(1)
-  if not conf.CheckLib('z', autoadd=1):
-    print 'Did not find libz or z.lib, exiting!'
-    Exit(1)
-    
-  ### Search for zenity if we're not in windows
-  if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin':
-    path = os.getenv('PATH')
-    directories = []
-    dir = ''
-    # check for '$' so last entry is processed
-    for x in path + '$':
-      if x != ':' and x != '$':
-        dir += x
-      else:
-        directories.append(dir)
-        dir = ''
-  
-    zenity = 0
-    print "Checking for zenity...",
-    for x in directories:
-      if os.path.isfile(os.path.join(x, "zenity")):
-        zenity = 1
-    if zenity:
-      print 'yes'
-    else:
-      print "*** WARNING ***"
-      print "Zenity could not be found in the PATH.  File dialogs will not work without zenity installed."
-      raw_input('Press any key to continue. . .')
+  if env['GTK'] or env['GTK_LITE']:
+    # Add compiler and linker flags from pkg-config
+    env.ParseConfig('pkg-config --cflags --libs gtk+-2.0')
+    env.Append(CPPDEFINES=["_GTK2"])
+  if env['GTK']:
+    env.Append(CCFLAGS = ["-D_GTK"])
+    env.Append(CCFLAGS =["-D_GTK_LITE"])
+  if env['GTK_LITE']:
+    env.Append(CCFLAGS =["-D_GTK_LITE"])
+
+  ### Lua platform defines
+  ### Applies to all files even though only lua needs it, but should be ok
+  if env['LUA']:
+    if env['PLATFORM'] == 'darwin':
+      # Define LUA_USE_MACOSX otherwise we can't bind external libs from lua
+      env.Append(CCFLAGS = ["-DLUA_USE_MACOSX"])      
+    if env['PLATFORM'] == 'posix':
+      # If we're POSIX, we use LUA_USE_LINUX since that combines usual lua posix defines with dlfcn calls for dynamic library loading.
+      # Should work on any *nix
+      env.Append(CCFLAGS = ["-DLUA_USE_LINUX"])
   
   ### Search for gd if we're not in Windows
   if env['PLATFORM'] != 'win32' and env['PLATFORM'] != 'cygwin' and env['CREATE_AVI'] and env['LOGO']:
@@ -91,12 +85,13 @@
       print 'Did not find libgd, you won\'t be able to create a logo screen for your avis.'
    
   if conf.CheckFunc('asprintf'):
-    conf.env.Append(CCFLAGS = " -DHAVE_ASPRINTF")
+    conf.env.Append(CCFLAGS = "-DHAVE_ASPRINTF")
   if env['OPENGL'] and conf.CheckLibWithHeader('GL', 'GL/gl.h', 'c++', autoadd=1):
-    conf.env.Append(CCFLAGS = " -DOPENGL")
+    conf.env.Append(CCFLAGS = "-DOPENGL")
   conf.env.Append(CPPDEFINES = ['PSS_STYLE=1'])
   # parse SDL cflags/libs
   env.ParseConfig('sdl-config --cflags --libs')
+  
   env.Append(CPPDEFINES=["_S9XLUA_H"])
   env = conf.Finish()
