=== debian/changelog ===
fceux (2.1.4a+repack-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #612723)
  * debian/uscan_repack.sh: updated path from fceu to fceu${version}
  * debian/control: bump Standards-version to 3.9.1. No changes required.
  * delete_chm_install.patch: refreshed to take into account new location of
    CMakefile.txt and SContruct
  * debian/control: 
    - gfceux is not build anymore as fceux has now a built-in gui. Package
      deleted
    - adjusted the build dependency because of gfceux drop
    - declaring a Breaks/Conflicts with gfceux
  * fix_manpage_gfceux.patch: deleted as gfceux is not there anymore
  * fix_desktop_file.patch: deleted as gfceux is not there anymore
  * debian/rules: converted to dh7 tiny style
  * debian/copyright: deleted gfceux reference
  * debian/fceux.install, debian/fceux.docs, debian/fceux.manpages: adjusted to
    take into account new directories layout
  * debian/gfceux.install: deleted as package has been dropped
  * debian/fceux.desktop, fceux.png: created as upstream does not ship them.
    PNG file comes from the fceux website.
  * debian/source/include-binaries: added because of shipping a png file.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 03 Aug 2010 05:08:49 +0000
