=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="dversionmangle=s/\+repack//" \
http://sf.net/fceultra/fceux-(.*)\.src\.tar\.bz2 \
	debian debian/uscan_repack.sh
