## fceux 2.1.5+repack

=== SConstruct ===
--- 
+++ 
@@ -7,16 +7,18 @@
   BoolVariable('FRAMESKIP', 'Enable frameskipping', 1),
   BoolVariable('OPENGL',    'Enable OpenGL support', 1),
   BoolVariable('LSB_FIRST', 'Least signficant byte first (non-PPC)', 1),
-  BoolVariable('DEBUG',     'Build with debugging symbols', 1),
+  BoolVariable('DEBUG',     'Build with debugging symbols', 0),
   BoolVariable('LUA',       'Enable Lua support', 1),
   BoolVariable('NEWPPU',    'Enable new PPU core', 1),
-  BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 0),
+  BoolVariable('CREATE_AVI', 'Enable avi creation support (SDL only)', 1),
   BoolVariable('LOGO', 'Enable a logoscreen when creating avis (SDL only)', '1'),
   BoolVariable('GTK', 'Enable GTK2 GUI (SDL only)', 1),
-  BoolVariable('GTK_LITE', 'Enable GTK2 for dialogs only', 0)
+  BoolVariable('GTK3', 'Enable GTK3 GUI (BROKEN/EXPERIMENTAL)', 0),
 )
 
 env = Environment(options = opts)
+
+env.Append(CPPDEFINES=["PUBLIC_RELEASE"])
 
 # LSB_FIRST must be off for PPC to compile
 if platform.system == "ppc":
@@ -53,22 +55,25 @@
   env.Append(LIBS = ["rpcrt4", "comctl32", "vfw32", "winmm", "ws2_32", "comdlg32", "ole32", "gdi32", "htmlhelp"])
 else:
   conf = Configure(env)
+  assert conf.CheckLibWithHeader('z', 'zlib.h', 'C', 'inflate;', 1), "please install: zlib"
   if not conf.CheckLib('SDL'):
     print 'Did not find libSDL or SDL.lib, exiting!'
     Exit(1)
-  if env['GTK'] or env['GTK_LITE']:
+
+  if env['GTK']:
     # Add compiler and linker flags from pkg-config
     env.ParseConfig('pkg-config --cflags --libs gtk+-2.0')
     env.Append(CPPDEFINES=["_GTK2"])
-  if env['GTK']:
     env.Append(CCFLAGS = ["-D_GTK"])
-    env.Append(CCFLAGS =["-D_GTK_LITE"])
-  if env['GTK_LITE']:
-    env.Append(CCFLAGS =["-D_GTK_LITE"])
-
+  if env['GTK3']:
+    # Add compiler and linker flags from pkg-config
+    env.ParseConfig('pkg-config --cflags --libs gtk+-3.0')
+    env.Append(CPPDEFINES=["_GTK3"])
+    env.Append(CCFLAGS = ["-D_GTK"])
   ### Lua platform defines
   ### Applies to all files even though only lua needs it, but should be ok
   if env['LUA']:
+    env.Append(CPPDEFINES=["_S9XLUA_H"])
     if env['PLATFORM'] == 'darwin':
       # Define LUA_USE_MACOSX otherwise we can't bind external libs from lua
       env.Append(CCFLAGS = ["-DLUA_USE_MACOSX"])      
@@ -92,7 +97,6 @@
   # parse SDL cflags/libs
   env.ParseConfig('sdl-config --cflags --libs')
   
-  env.Append(CPPDEFINES=["_S9XLUA_H"])
   env = conf.Finish()
 
 if sys.byteorder == 'little' or env['PLATFORM'] == 'win32':
