=== debian/changelog ===
fceux (2.1.5+repack-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 14 Jun 2011 22:00:55 +0200
