=== debian/control ===
Source: fceux
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fabrice Coutadeur <fabricesp@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 scons,
 libsdl1.2-dev,
 libgtk2.0-dev
Standards-Version: 3.9.1
Homepage: http://fceux.com 

Package: fceux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gfceux (<<2.1.4)
Replaces: gfceux (<<2.1.4)
Description: Cross platform, NTSC and PAL Famicom/NES emulator
 The concept behind FCEUX is to merge elements from FCE Ultra, FCEU 
 rerecording, FCEUXD, FCEUXDSP, and FCEU-mm into a single branch of FCEU. As
 the X implies, it is an all-encompassing FCEU emulator that gives the best of
 all worlds for the casual player, the ROM-hacking community, Lua Scripters,
 and the Tool-Assisted Speedrun Community
