=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf .sconf_temp
	rm -f .sconsign.dblite
	find ./ -name *.o -exec rm {} \;
	rm -f src/fceux
	rm -f config.log

override_dh_auto_configure:
	scons
