=== debian/changelog ===
fceux (2.2.1+dfsg0-2) unstable; urgency=low

  * upload to unstable
  * add missing DEP-3 headers to patches
  * copyright updates from Alexander Toresson
  * add mailcap entry for NES roms
  * bump std-ver to 3.9.4
  * canonicalize VCS urls

 -- Joe Nahmias <jello@debian.org>  Fri, 12 Jul 2013 16:51:17 -0400

fceux (2.2.1+dfsg0-1) experimental; urgency=low

  * New upstream version
  * refresh all patches
  * fix_format_string_security_error.patch: use "%s" as format string
  * d/gbp.conf: update options to make it easier to use gbp
  * update copyright with research by Alexander Toresson

 -- Joe Nahmias <jello@debian.org>  Wed, 24 Apr 2013 09:52:14 -0400

fceux (2.2.0+dfsg0-1) UNRELEASED; urgency=low

  * Initial release, closes: #612245.
  * d/control: add Vcs-* headers
  * use_system_lua.patch: remove optimization that uses lua internals
  * install_to_games_instead_of_bin.patch: install fceux into /usr/games
  * set-script-and-palette-gtkfilechooser-default-directory.patch: set
    default dirs as appropriate in this package

 -- Joe Nahmias <jello@debian.org>  Sat, 08 Dec 2012 22:50:04 -0500
