=== debian/control ===
Source: fceux
Section: games
Priority: extra
Maintainer: Joe Nahmias <jello@debian.org>
Uploaders: Alexander Toresson <alexander.toresson@gmail.com>
Build-Depends: debhelper (>= 9), scons, zlib1g-dev, libsdl1.2-dev,
  libgtk2.0-dev, liblua5.1-0-dev, libgd2-xpm-dev, libgl1-mesa-dev
Standards-Version: 3.9.4
Homepage: http://fceux.com/
VCS-Browser: http://anonscm.debian.org/git/collab-maint/fceux.git
VCS-Git: git://anonscm.debian.org/collab-maint/fceux.git

Package: fceux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: efp
Provides: nes-emulator
Description: all-in-one NES/Famicom Emulator
 FCE Ultra X [FCEUX] is an emulator of the original (8-bit) Nintendo
 Entertainment System (NES) released under the GNU General Public License
 (GPL).  It includes the following features (and many more):
 .
       * fully customizable color palette rendering engine
       * complete sound emulation (all five channels)
       * support for up to four joystick controllers
       * zapper emulation for the mouse
       * GameGenie emulation
       * accepts compressed (PKZIP, gzip) ROM images
       * TCP/IP network play
       * Lua scripting
