=== debian/changelog ===
fceux (2.2.2+dfsg0-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:07 +0000

fceux (2.2.2+dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2
    + remove patches merged upstream; refresh remaining
    + remove windows compiled help files and non-free Visual C files
  * Use C++11 standard static assertion functionality
  * fix upstream installation of support files
  * New patch 0004-ignore-missing-windows-help-CHM-file.patch
  * update d/copyright for new, renamed, deleted files
  * d/control: bump std-ver to 3.9.5, no changes needed

 -- Joe Nahmias <jello@debian.org>  Sun, 02 Mar 2014 19:22:04 -0500
