=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alexander Toresson <alexander.toresson@gmail.com>
 Build-Depends: debhelper (>= 9), scons, zlib1g-dev, libsdl1.2-dev,
   libgtk2.0-dev, liblua5.1-0-dev, libgd2-xpm-dev, libgl1-mesa-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://fceux.com/
 VCS-Browser: http://anonscm.debian.org/git/collab-maint/fceux.git
 VCS-Git: git://anonscm.debian.org/collab-maint/fceux.git
