=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,6 @@
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     SCONSFLAGS += -j$(NUMJOBS)
 endif
-
-
-####override_dh_auto_configure:
-####	true
 
 override_dh_auto_build:
 	scons $(SCONSFLAGS)
