## fceux 2.3.0%2Bdfsg1

=== debian/changelog ===
fceux (2.3.0+dfsg1-3) unstable; urgency=medium

  * [1720c85] Fix FTCBFS: use dh_auto_build to build fceux-server.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #981619)

 -- Joseph Nahmias <jello@debian.org>  Wed, 03 Feb 2021 00:27:22 -0500

fceux (2.3.0+dfsg1-2) unstable; urgency=medium

  * [c6ed30f] add missing GL include file to fix FTBFS on arm

 -- Joseph Nahmias <jello@debian.org>  Sun, 24 Jan 2021 20:46:11 -0500

fceux (2.3.0+dfsg1-1) unstable; urgency=medium

  * [8335acb] d/watch: use sf.net redirector on qa.d.o
  * [6127cf0] have uscan repack the downloaded tarball
  * [0143014] have gbp use DEP-14 repo layout
  * [2fcf17c] remove non-free UTF conversion code which is only used on windows
    (Closes: #900599)
  * [ccddd79] update VCS-* headers to point to salsa repo
  * [c79122b] New upstream version 2.3.0+dfsg1
  * [85ffcf0] update maintainer address
  * [aa54847] d/control: expand B-D to one per line and sort
  * [6806127] bump dh-compat to 13
  * [58a89f6] drop old patches
  * [c71bcae] update to use new upstream build system - cmake (Closes: #880770)
  * [b6a8507] remove non-free ConvertUTF from build list
  * [65263c5] d/control: set R-R-R to no
  * [53fa926] install fceux to /usr/games
  * [457ef83] build & install fceux-server as well
  * [4383769] drop prohibited menu entry
  * [c34a499] drop redundant mime entry; .desktop handles this
  * [e145ace] enable all hardening flags
  * [54c1de2] d/control: change priority to optional (from extra)
  * [a10bf37] d/control: bump S-V to 4.5.1, changes committed individually
  * [6fad12b] update copyrights
  * [3888763] fix spelling mistakes caught by lintian
  * [1924cf5] use correct git repo & commit hash for upstream release
  * [b625678] use debhelper verbose mode
  * [8c3626e] use GL vendor neutral dispatch
  * [ba3050b] note that this version is based on an upstream public release
  * [bd3f17f] replace upstream's corrupted manpages with original version
  * [865f0e3] fix fceux-net-server Makefile to honor standard env vars
  * [ce9c9f8] fceux.desktop: use proper Exec field code
  * [3be1948] add lua docs to doclist for installation
  * [ee82ab7] commit updated interim changelog
  * [a982088] more copyright cleanup
  * [eb824f5] enable salsa-ci pipeline
  * [9b5baaa] disable unneeded build-all salsa-ci test

 -- Joseph Nahmias <jello@debian.org>  Sun, 24 Jan 2021 13:43:30 -0500
